# Kiln Connect FAQs

<details>

<summary>How is the <code>network_gross_apy</code> calculated in each protocol's <code>/network-stats</code> endpoint?</summary>

We source the `network_gross_apy` from [StakingRewards](https://www.stakingrewards.com/). For each asset, we retrieve the `reward_rate` from the [StakingRewards metrics API](https://api-docs.stakingrewards.com/api-docs/objects/metrics#historical-reward-option-metrics).

</details>

<details>

<summary>How are Ethereum rewards calculated in the <code>/eth/rewards</code> endpoint?</summary>

Please refer to our [Ethereum reporting methodology guide](https://docs.api.kiln.fi/v1.7/docs/ethereum-reporting-methodology#rewards).

</details>

<details>

<summary>How are Ethereum entry and exit times estimated in <code>/eth/network-stats</code>?</summary>

Please refer to our [Ethereum reporting methodology guide](https://docs.api.kiln.fi/v1.7/docs/ethereum-reporting-methodology#entry--exit-time-estimations).

</details>

<details>

<summary>In Ethereum, how is <code>estimated_next_skimming_slot</code> for a given validator calculated?</summary>

Please refer to our [Ethereum reporting methodology guide](https://docs.api.kiln.fi/v1.7/docs/ethereum-reporting-methodology#skimming-slot).

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kiln.fi/v1/kiln-products/connect/kiln-connect-faqs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
